<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      th:with="activeTab='user'"
      layout:decorate="~{layout}">
    <head>
        <title>Pengguna Form</title>
        <!--        
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        -->
    </head>
    <body>
        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Pengguna</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                            <a th:href="@{/sso/user/list}">Pengguna</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong>Pengguna Form</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <div class="wrapper wrapper-content animated fadeIn">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>Pengguna Form</h5>
                                <div class="ibox-tools">
                                    <a class="collapse-link">
                                        <i class="fa fa-chevron-up"></i>
                                    </a>
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="fa fa-wrench"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-user">
                                        <li><a href="#" class="dropdown-item">Config option 1</a>
                                        </li>
                                        <li><a href="#" class="dropdown-item">Config option 2</a>
                                        </li>
                                    </ul>
                                    <a class="close-link">
                                        <i class="fa fa-times"></i>
                                    </a>
                                </div>
                            </div>

                            <div class="ibox-content">
                                <form th:action="@{/sso/user/form}" th:object="${user}" th:method="post">
                                    <input type="hidden" th:field="*{id}" />

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Fullname</label>
                                        <div class="col-sm-10"><input type="text" class="form-control" placeholder="Full Name" th:field="*{fullname}"></div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Username</label>
                                        <div class="col-sm-10"><input type="text" class="form-control" placeholder="Username" th:field="*{username}">
                                            <div class="text-danger" th:if="${#fields.hasErrors('username')}" th:errors="*{username}"></div>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Password</label>
                                        <div class="col-sm-10"><input type="password" class="form-control" th:field="*{password}"></div>
                                    </div>

                                    <div class="form-group row">
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" class="flat" th:field="*{status}" /> Active
                                            </label>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Role</label>
                                        <div class="col-sm-10">
                                            <select name="role" class="form-control" th:field="*{role}" required="true">
                                                <option th:each="x : ${listRole}" th:value="${x.id}" th:text="${x.name}">option 1</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Stakeholder</label>
                                        <div class="col-sm-10">
                                            <select name="stakeholder" class="form-control" th:field="*{stakeholder}">
                                                <option th:value="0" text="--Pilih Stakeholder--"></option>
                                                <option th:each="x : ${listStakeholder}" th:value="${x.id}" th:text="${x.nama}">option 1</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-2 col-form-label">Petugas</label>
                                        <div class="col-sm-10">
                                            <select name="petugas" class="form-control" th:field="*{petugas}">
                                                <option th:value="0" text="--Pilih Petugas--"></option>
                                                <option th:each="x : ${listPetugas}" th:value="${x.id}" th:text="${x.nama}">option 1</option>
                                            </select>
                                        </div>
                                    </div>


                                    <div class="hr-line-dashed"></div>
                                    <div class="form-group row">
                                        <div class="col-sm-4 col-sm-offset-2">
                                            <button class="btn btn-white btn-sm" type="reset">Reset</button>
                                            <button class="btn btn-primary btn-sm" type="submit"><i class="fa fa-save"></i> Save changes</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
